
DataONE API - Story #7188

Review the token approach protocol and implementation

2015-06-16 11:43 - Dave Vieglais

Status: Closed Start date: 2015-06-16

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: api_documentation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Engage a third party to provide an external review of the protocol approach to authenticated access to DataONE services.

Jim Basney at CTSC would be a good candidate if available to review the protocol.

A code review should also be performed, though this could be done mostly internally.

Subtasks:

Task # 7189: Review the authentication protocol Closed

Task # 7191: Update implementation description as needed following review Closed

Related issues:

Related to Infrastructure - Story #7190: Code review with emphasis on authent... Closed 2015-06-16

History

#1 - 2015-06-16 11:49 - Dave Vieglais

- Related to Story #7190: Code review with emphasis on authentication implementation added

#2 - 2015-07-01 16:20 - Dave Vieglais

- Target version changed from CCI-2.0-RC1 to CCI-2.0.0

#3 - 2015-07-01 17:39 - Dave Vieglais

- Category set to api_documentation

#4 - 2016-01-04 19:34 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

Code review still pending.
